Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Quality assurance testing and CUTTING EDGE
#1
Bug 
We constantly need testers to help us QA new releases.

Please see for details.
https://github.com/GetSimpleCMS/GetSimpl...ki/testing

The current development branch changes constantly and will be the next major release, at this time that is 3.3.0

Experimental branches we are currently testing before we roll them into the next release are the New Dependancies branch, which contains major updates to all the php and js products we use in GS. ckeditor,codemirror etc.

Experimental branches will probably break some plugins and have other sied effects as they are still experimental and usually contain major changes to core functionality, these are usually resolved and made backward compatible when they are merged into development.

Be sure you check out the progress so far on 3.3.0 on the current developement branch and play with the spiffy new ajax theme editor, page tabs interface, and new health check.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#2
Updated Dependancies are now merged into master development branch.
Reply
#3
Added a patch branch for stable with ckeditor 4.2 patched into it.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#4
Am I supposed to post issues/opinions about the devel-branch in GitHub (I have some errors in my local install), or should they be posted somewhere in the forum?
Reply
#5
Github if you have a specific reproducible issue or feature., forums if you think it needs discussion or exploration.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#6
LAST CALL FOR THEMEING, HOOKS, FILTER SUGGESTIONS FOR 3.4!

default components
new hooks etc.

If you are a themer I need to know what you need to make better themes!
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#7
(2017-02-26, 01:48:05)shawn_a Wrote: LAST CALL FOR THEMEING, HOOKS, FILTER SUGGESTIONS FOR 3.4!

default components
new hooks etc.

If you are a themer I need to know what you need to make better themes!

I want native page field to select and store URL of image associated with page. I see different ways of using it in templates.
Reply
#8
I've added a comment to #1236, but since that's closed, should I open a new ticket or post here or something else?
Reply
#9
Already fixed
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#10
(2017-10-17, 07:06:09)shawn_a Wrote: Already fixed

I can't keep up with you  Big Grin .

My 2 factor auth plugin works well with the logged in user (profile.php), but not so much with the existing Multi-user plugin, since that doesn't call any save hooks, so my extra fields can be lost.

I'm not clear if that plugin becomes obsolete, as it looks like you are heading for native user management or at least making a new plugin simpler.

In practice, you don't want another user adding or changing your "secret", so I'll need to wait and see what extra I need to include, with an Alpha or better release of 3.4, or if I should log an issue with the existing plugin.

Keep up the good work.
Reply
#11
Hmm but those plugins should not use their own auth they just add new user files afaik. There is no reason for them to replace login at all nor can i think of a reason why they would need to.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#12
Or do you mean it doesnt read and write the user files but recreates them removing your changes?
Custom fields in user files is also new so you might need to use external data
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#13
(2017-10-19, 05:00:56)shawn_a Wrote: Or do you mean it doesnt read and write the user files but recreates them removing your changes?
Custom fields in user files is also new so you might need to use external data

Yes, the current multi-user plugin recreates the files and has its own auth. logic, as to who can edit users (doesn't alter login at all).
It's not going to play well with 3.4+

Edit:
Hooks settings-user and settings-user-extra are not supported by the multi-user plugin, so even now, it would brake any other plugin trying to add extra fields.
Reply
#14
Yeah the plugin is very old, not sure if I want to make special exceptions for backward compatibility, the profile page separation is a breaking change. We could maybe use a plugin to add back in support to the settings page, but there is still plugins that overwrite your files, so there has to be some rewrites or obsolescence.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#15
Dear all,
will there be a system update. We still have version 3.3.13 since more than one year and I´m a little bit worried.
Thank you for this great CMS.
Best regards,
SoHo
Reply
#16
worried about what?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#17
Anyone interested in 3.4 being released soon, should be testing the alpha version
- installation
- upgrading (e.g. from 3.3.x)
- test everything in the backend
- test with plugins you usuallly have in your live sites
- test with copies of themes you use
- ...

Guys, don't be lazy and expect anyone else to test. Or complain after it's released if you find there are bugs or compatibility problems (or if it never gets released because Shawn got fed up).

There are some new features, but also a lot of internal changes to improve its code, that may affect plugins and stuff that work. So if we don't report issues, they can't be fixed before release.

Shawn needs help and feedback!

See links in this post and in the following ones:
http://get-simple.info/forums/showthread...1#pid62141

You can report issues or whatever, here in the forums, or:

Discord:
http://get-simple.info/forums/showthread...&pid=62212

GitHub:
https://github.com/GetSimpleCMS/GetSimpleCMS
Reply
#18
(2018-04-21, 23:59:48)Carlos Wrote: Anyone interested in 3.4 being released soon, should be testing the alpha version
- installation
- upgrading (e.g. from 3.3.x)
- test everything in the backend
- test with plugins you usuallly have in your live sites
- test with copies of themes you use
- ...

Guys, don't be lazy and expect anyone else to test. Or complain after it's released if you find there are bugs or compatibility problems (or if it never gets released because Shawn got fed up).

There are some new features, but also a lot of internal changes to improve its code, that may affect plugins and stuff that work. So if we don't report issues, they can't be fixed before release.

Shawn needs help and feedback!

See links in this post and in the following ones:
http://get-simple.info/forums/showthread...1#pid62141

You can report issues or whatever, here in the forums, or:

Discord:
http://get-simple.info/forums/showthread...&pid=62212

GitHub:
https://github.com/GetSimpleCMS/GetSimpleCMS

Hey guys
I really would like to test it, but I can´t find a download for installation. Maybe I´m a very stupid user, but as such I could be helpful, don´t you think so?  Would you post an easy to use or find download link? Thank you
SoHo

BTW: I´m using GetSiimple now for some years and like it very much!
Reply
#19
https://github.com/GetSimpleCMS/GetSimpleCMS/releases
Reply
#20
After installing my theme, I was unable to login to admin panel.
Code:
Notice: Trying to get property of non-object in /home/u925819/quicklysite.ru/html/plugins/p01-contact_gs.php on line 69

Notice: A session had already been started - ignoring session_start() in /home/u925819/quicklysite.ru/html/plugins/feedback.php on line 36

Warning: Cannot modify header information - headers already sent by (output started at /home/u925819/quicklysite.ru/html/plugins/p01-contact_gs.php:69) in /home/u925819/quicklysite.ru/html/admin/inc/cookie_functions.php on line 25

Warning: Cannot modify header information - headers already sent by (output started at /home/u925819/quicklysite.ru/html/plugins/p01-contact_gs.php:69) in /home/u925819/quicklysite.ru/html/plugins/i18n_base/backend.class.php on line 7

I removed plugins causing errors, entered the admin panel.
Code:
Notice: Trying to get property of non-object in /home/u925819/quicklysite.ru/html/plugins/p01-contact_gs.php on line 69

Notice: A session had already been started - ignoring session_start() in /home/u925819/quicklysite.ru/html/plugins/feedback.php on line 36

Warning: Cannot modify header information - headers already sent by (output started at /home/u925819/quicklysite.ru/html/plugins/p01-contact_gs.php:69) in /home/u925819/quicklysite.ru/html/admin/inc/cookie_functions.php on line 25
I saw the error, and for some reason the buttons were above.
http://prntscr.com/j8ke1r

The site looks like this.
http://quicklysite.ru/
And should look like this.
http://demo.getsimplethemes.ru/shop-en/

Not able to disable plugins in the admin panel.

The server's all right.
http://prntscr.com/j8khnv

It's a little scary for me Smile
Reply
#21
After clicking on this button http://prntscr.com/j8l2t3
go to this page http://prntscr.com/j8l3ny
Reply
#22
can you check if you have an autosave folder?

The rest of those warnings/notices are trivial I think, do those plugins work still if you disable error reporting?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#23
When you try to clear the logs, it also sends to the page with errors
Code:
Notice: Undefined variable: log_name in /home/u925819/quicklysite.ru/html/admin/deletefile.php on line 79
Error: Headers already sent in /home/u925819/quicklysite.ru/html/admin/deletefile.php on line 79
This is a clean installation 3.4

How can I turn off error messages?
Reply
#24
let me check on that error real quick.

turn off error reporting on your host, or disable gsdebug, or enable GSSUPPRESSERRORS
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#25
Most of your errors are headers already sent, which is odd, I think one of your plugins has whitespace in it
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply




Users browsing this thread: 1 Guest(s)